Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3606)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3607)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Output of radiation-related quantities migrated to radiation_model_mod.
+! 
+! 3597 2018-12-04 08:40:18Z maronga
 ! Fixed calculation method of near surface air potential temperature at 10 cm
 ! and moved to surface_layer_fluxes. Removed unnecessary _eb strings.
@@ -438,15 +441,9 @@
                radiation, rad_sw_in, rad_lw_in, rad_sw_out, rad_lw_out,        &
                sigma_sb, sun_direction, sun_dir_lat, sun_dir_lon,              &
-               force_radiation_call, surfinsw, surfinlw, surfinswdir,          &
-               surfinswdif, surfoutsw, surfoutlw, surfins,nsvfl, svf, svfsurf, &
-               surfinl, surfinlwdif, rad_sw_in_dir, rad_sw_in_diff,            &
-               rad_lw_in_diff, surfouts, surfoutl, surfoutsl, surfoutll, surf, &
-               surfl, nsurfl, pcbinsw, pcbinlw, pcbinswdir,                    &
-               pcbinswdif, iup_u, inorth_u, isouth_u, ieast_u, iwest_u, iup_l, &
-               inorth_l, isouth_l, ieast_l, iwest_l, id,                       &
+               force_radiation_call, iup_u, inorth_u, isouth_u, ieast_u,       &
+               iwest_u, iup_l, inorth_l, isouth_l, ieast_l, iwest_l, id,       &
                iz, iy, ix,  nsurf, idsvf, ndsvf,                               &
                idcsf, ndcsf, kdcsf, pct,                                       &
-               startland, endland, startwall, endwall, skyvf, skyvft, nzub,    &
-               nzut, npcbl, pcbl, unscheduled_radiation_calls
+               nzub, nzut, unscheduled_radiation_calls
 
     USE statistics,                                                            &
@@ -461,11 +458,11 @@
     IMPLICIT NONE
 
-    !
+!
 !-- USM model constants
 
     REAL(wp), PARAMETER ::                     &
               b_ch               = 6.04_wp,    & ! Clapp & Hornberger exponent
-              lambda_h_green_dry       = 0.19_wp,    & ! heat conductivity for dry soil   
-              lambda_h_green_sm        = 3.44_wp,    & ! heat conductivity of the soil matrix
+              lambda_h_green_dry = 0.19_wp,    & ! heat conductivity for dry soil   
+              lambda_h_green_sm  = 3.44_wp,    & ! heat conductivity of the soil matrix
               lambda_h_water     = 0.57_wp,    & ! heat conductivity of water
               psi_sat            = -0.388_wp,  & ! soil matrix potential at saturation
@@ -965,21 +962,4 @@
 !-- arrays for time averages
 !-- Attention: the variable rad_net_av is also used in the 3d field variable in radiation_model_mod.f90. It may be better to rename it 
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinsw_av      !< average of sw radiation falling to local surface including radiation from reflections
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinlw_av      !< average of lw radiation falling to local surface including radiation from reflections
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinswdir_av   !< average of direct sw radiation falling to local surface
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinswdif_av   !< average of diffuse sw radiation from sky and model boundary falling to local surface
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinlwdif_av   !< average of diffuse lw radiation from sky and model boundary falling to local surface
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinswref_av   !< average of sw radiation falling to surface from reflections
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinlwref_av   !< average of lw radiation falling to surface from reflections
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfoutsw_av     !< average of total sw radiation outgoing from nonvirtual surfaces surfaces after all reflection
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfoutlw_av     !< average of total lw radiation outgoing from nonvirtual surfaces surfaces after all reflection
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfins_av       !< average of array of residua of sw radiation absorbed in surface after last reflection
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinl_av       !< average of array of residua of lw radiation absorbed in surface after last reflection
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  pcbinlw_av       !< Average of pcbinlw
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  pcbinsw_av       !< Average of pcbinsw
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  pcbinswdir_av    !< Average of pcbinswdir
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  pcbinswdif_av    !< Average of pcbinswdif
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  pcbinswref_av    !< Average of pcbinswref
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfhf_av        !< average of total radiation flux incoming to minus outgoing from local surface  
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  wghf_eb_av       !< average of wghf_eb
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  wshf_eb_av       !< average of wshf_eb
@@ -1833,143 +1813,4 @@
            
            SELECT CASE ( TRIM( var ) )
-                
-                CASE ( 'usm_rad_net' )
-!--                 array of complete radiation balance
-                    IF ( l == -1 ) THEN
-                        IF ( .NOT.  ALLOCATED(surf_usm_h%rad_net_av) )  THEN
-                            ALLOCATE( surf_usm_h%rad_net_av(1:surf_usm_h%ns) )
-                            surf_usm_h%rad_net_av = 0.0_wp
-                        ENDIF
-                    ELSE
-                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%rad_net_av) )  THEN
-                            ALLOCATE( surf_usm_v(l)%rad_net_av(1:surf_usm_v(l)%ns) )
-                            surf_usm_v(l)%rad_net_av = 0.0_wp
-                        ENDIF
-                    ENDIF
-                    
-                CASE ( 'usm_rad_insw' )
-!--                 array of sw radiation falling to surface after i-th reflection
-                    IF ( .NOT.  ALLOCATED(surfinsw_av) )  THEN
-                        ALLOCATE( surfinsw_av(nsurfl) )
-                        surfinsw_av = 0.0_wp
-                    ENDIF
-
-                CASE ( 'usm_rad_inlw' )
-!--                 array of lw radiation falling to surface after i-th reflection
-                    IF ( .NOT.  ALLOCATED(surfinlw_av) )  THEN
-                        ALLOCATE( surfinlw_av(nsurfl) )
-                        surfinlw_av = 0.0_wp
-                    ENDIF
-
-                CASE ( 'usm_rad_inswdir' )
-!--                 array of direct sw radiation falling to surface from sun
-                    IF ( .NOT.  ALLOCATED(surfinswdir_av) )  THEN
-                        ALLOCATE( surfinswdir_av(nsurfl) )
-                        surfinswdir_av = 0.0_wp
-                    ENDIF
-
-                CASE ( 'usm_rad_inswdif' )
-!--                 array of difusion sw radiation falling to surface from sky and borders of the domain
-                    IF ( .NOT.  ALLOCATED(surfinswdif_av) )  THEN
-                        ALLOCATE( surfinswdif_av(nsurfl) )
-                        surfinswdif_av = 0.0_wp
-                    ENDIF
-
-                CASE ( 'usm_rad_inswref' )
-!--                 array of sw radiation falling to surface from reflections
-                    IF ( .NOT.  ALLOCATED(surfinswref_av) )  THEN
-                        ALLOCATE( surfinswref_av(nsurfl) )
-                        surfinswref_av = 0.0_wp
-                    ENDIF
-
-                CASE ( 'usm_rad_inlwdif' )
-!--                 array of sw radiation falling to surface after i-th reflection
-                   IF ( .NOT.  ALLOCATED(surfinlwdif_av) )  THEN
-                        ALLOCATE( surfinlwdif_av(nsurfl) )
-                        surfinlwdif_av = 0.0_wp
-                    ENDIF
-
-                CASE ( 'usm_rad_inlwref' )
-!--                 array of lw radiation falling to surface from reflections
-                    IF ( .NOT.  ALLOCATED(surfinlwref_av) )  THEN
-                        ALLOCATE( surfinlwref_av(nsurfl) )
-                        surfinlwref_av = 0.0_wp
-                    ENDIF
-
-                CASE ( 'usm_rad_outsw' )
-!--                 array of sw radiation emitted from surface after i-th reflection
-                    IF ( .NOT.  ALLOCATED(surfoutsw_av) )  THEN
-                        ALLOCATE( surfoutsw_av(nsurfl) )
-                        surfoutsw_av = 0.0_wp
-                    ENDIF
-
-                CASE ( 'usm_rad_outlw' )
-!--                 array of lw radiation emitted from surface after i-th reflection
-                    IF ( .NOT.  ALLOCATED(surfoutlw_av) )  THEN
-                        ALLOCATE( surfoutlw_av(nsurfl) )
-                        surfoutlw_av = 0.0_wp
-                    ENDIF
-                CASE ( 'usm_rad_ressw' )
-!--                 array of residua of sw radiation absorbed in surface after last reflection
-                    IF ( .NOT.  ALLOCATED(surfins_av) )  THEN
-                        ALLOCATE( surfins_av(nsurfl) )
-                        surfins_av = 0.0_wp
-                    ENDIF
-                                   
-                CASE ( 'usm_rad_reslw' )
-!--                 array of residua of lw radiation absorbed in surface after last reflection
-                    IF ( .NOT.  ALLOCATED(surfinl_av) )  THEN
-                        ALLOCATE( surfinl_av(nsurfl) )
-                        surfinl_av = 0.0_wp
-                    ENDIF
-                                    
-                CASE ( 'usm_rad_pc_inlw' )
-!--                 array of of lw radiation absorbed in plant canopy
-                    IF ( .NOT.  ALLOCATED(pcbinlw_av) )  THEN
-                        ALLOCATE( pcbinlw_av(1:npcbl) )
-                        pcbinlw_av = 0.0_wp
-                    ENDIF
-                                    
-                CASE ( 'usm_rad_pc_insw' )
-!--                 array of of sw radiation absorbed in plant canopy
-                    IF ( .NOT.  ALLOCATED(pcbinsw_av) )  THEN
-                        ALLOCATE( pcbinsw_av(1:npcbl) )
-                        pcbinsw_av = 0.0_wp
-                    ENDIF
-                                    
-                CASE ( 'usm_rad_pc_inswdir' )
-!--                 array of of direct sw radiation absorbed in plant canopy
-                    IF ( .NOT.  ALLOCATED(pcbinswdir_av) )  THEN
-                        ALLOCATE( pcbinswdir_av(1:npcbl) )
-                        pcbinswdir_av = 0.0_wp
-                    ENDIF
-                                    
-                CASE ( 'usm_rad_pc_inswdif' )
-!--                 array of of diffuse sw radiation absorbed in plant canopy
-                    IF ( .NOT.  ALLOCATED(pcbinswdif_av) )  THEN
-                        ALLOCATE( pcbinswdif_av(1:npcbl) )
-                        pcbinswdif_av = 0.0_wp
-                    ENDIF
-                                    
-                CASE ( 'usm_rad_pc_inswref' )
-!--                 array of of reflected sw radiation absorbed in plant canopy
-                    IF ( .NOT.  ALLOCATED(pcbinswref_av) )  THEN
-                        ALLOCATE( pcbinswref_av(1:npcbl) )
-                        pcbinswref_av = 0.0_wp
-                    ENDIF
-                                   
-                CASE ( 'usm_rad_hf' )
-!--                 array of heat flux from radiation for surfaces after i-th reflection
-                    IF ( l == -1 ) THEN
-                        IF ( .NOT.  ALLOCATED(surf_usm_h%surfhf_av) )  THEN
-                           ALLOCATE( surf_usm_h%surfhf_av(1:surf_usm_h%ns) )
-                           surf_usm_h%surfhf_av = 0.0_wp
-                        ENDIF
-                    ELSE
-                       IF ( .NOT.  ALLOCATED(surf_usm_v(l)%surfhf_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%surfhf_av(1:surf_usm_v(l)%ns) )
-                           surf_usm_v(l)%surfhf_av = 0.0_wp
-                       ENDIF
-                    ENDIF
 
                 CASE ( 'usm_wshf' )
@@ -2218,145 +2059,5 @@
            
            SELECT CASE ( TRIM( var ) )
-                
-                CASE ( 'usm_rad_net' )
-!--                 array of complete radiation balance
-                    IF ( l == -1 ) THEN
-                       DO  m = 1, surf_usm_h%ns
-                          surf_usm_h%rad_net_av(m) =                              &
-                                             surf_usm_h%rad_net_av(m) +           &
-                                             surf_usm_h%rad_net_l(m)
-                       ENDDO
-                    ELSE
-                       DO  m = 1, surf_usm_v(l)%ns
-                          surf_usm_v(l)%rad_net_av(m) =                        &
-                                          surf_usm_v(l)%rad_net_av(m) +        &
-                                          surf_usm_v(l)%rad_net_l(m)
-                       ENDDO
-                    ENDIF
-
-                CASE ( 'usm_rad_insw' )
-!--                 array of sw radiation falling to surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinsw_av(l) = surfinsw_av(l) + surfinsw(l)
-                        ENDIF
-                    ENDDO
-                             
-                CASE ( 'usm_rad_inlw' )
-!--                 array of lw radiation falling to surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinlw_av(l) = surfinlw_av(l) + surfinlw(l)
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_inswdir' )
-!--                 array of direct sw radiation falling to surface from sun
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinswdir_av(l) = surfinswdir_av(l) + surfinswdir(l)
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_inswdif' )
-!--                 array of difusion sw radiation falling to surface from sky and borders of the domain
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinswdif_av(l) = surfinswdif_av(l) + surfinswdif(l)
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_inswref' )
-!--                 array of sw radiation falling to surface from reflections
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinswref_av(l) = surfinswref_av(l) + surfinsw(l) - &
-                                                surfinswdir(l) - surfinswdif(l)
-                        ENDIF
-                    ENDDO
-
-                    
-                CASE ( 'usm_rad_inlwdif' )
-!--                 array of sw radiation falling to surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinlwdif_av(l) = surfinlwdif_av(l) + surfinlwdif(l)
-                        ENDIF
-                    ENDDO
-!                     
-                CASE ( 'usm_rad_inlwref' )
-!--                 array of lw radiation falling to surface from reflections
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinlwref_av(l) = surfinlwref_av(l) + &
-                                                surfinlw(l) - surfinlwdif(l)
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_outsw' )
-!--                 array of sw radiation emitted from surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfoutsw_av(l) = surfoutsw_av(l) + surfoutsw(l)
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_outlw' )
-!--                 array of lw radiation emitted from surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfoutlw_av(l) = surfoutlw_av(l) + surfoutlw(l)
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_ressw' )
-!--                 array of residua of sw radiation absorbed in surface after last reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfins_av(l) = surfins_av(l) + surfins(l)
-                        ENDIF
-                    ENDDO
-                                    
-                CASE ( 'usm_rad_reslw' )
-!--                 array of residua of lw radiation absorbed in surface after last reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinl_av(l) = surfinl_av(l) + surfinl(l)
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_pc_inlw' )
-                    pcbinlw_av(:) = pcbinlw_av(:) + pcbinlw(:)
-                    
-                CASE ( 'usm_rad_pc_insw' )
-                    pcbinsw_av(:) = pcbinsw_av(:) + pcbinsw(:)
-                    
-                CASE ( 'usm_rad_pc_inswdir' )
-                    pcbinswdir_av(:) = pcbinswdir_av(:) + pcbinswdir(:)
-                    
-                CASE ( 'usm_rad_pc_inswdif' )
-                    pcbinswdif_av(:) = pcbinswdif_av(:) + pcbinswdif(:)
-                    
-                CASE ( 'usm_rad_pc_inswref' )
-                    pcbinswref_av(:) = pcbinswref_av(:) + pcbinsw(:)     &
-                                                        - pcbinswdir(:)  &
-                                                        - pcbinswdif(:)
-                    
-                CASE ( 'usm_rad_hf' )
-!--                 array of heat flux from radiation for surfaces after i-th reflection
-                    IF ( l == -1 ) THEN
-                       DO  m = 1, surf_usm_h%ns
-                          surf_usm_h%surfhf_av(m) =                               &
-                                             surf_usm_h%surfhf_av(m) +            &
-                                             surf_usm_h%surfhf(m)
-                       ENDDO
-                    ELSE
-                       DO  m = 1, surf_usm_v(l)%ns
-                          surf_usm_v(l)%surfhf_av(m) =                         &
-                                          surf_usm_v(l)%surfhf_av(m) +         &
-                                          surf_usm_v(l)%surfhf(m)
-                       ENDDO
-                    ENDIF
-                    
+
                 CASE ( 'usm_wshf' )
 !--                 array of sensible heat flux from surfaces (land, roof, wall)
@@ -2639,140 +2340,5 @@
            
            SELECT CASE ( TRIM( var ) )
-                
-                CASE ( 'usm_rad_net' )
-!--                 array of complete radiation balance
-                    IF ( l == -1 ) THEN
-                       DO  m = 1, surf_usm_h%ns
-                          surf_usm_h%rad_net_av(m) =                              &
-                                             surf_usm_h%rad_net_av(m) /           &
-                                             REAL( average_count_3d, kind=wp )
-                       ENDDO
-                    ELSE
-                       DO  m = 1, surf_usm_v(l)%ns
-                          surf_usm_v(l)%rad_net_av(m) =                        &
-                                          surf_usm_v(l)%rad_net_av(m) /        &
-                                          REAL( average_count_3d, kind=wp )
-                       ENDDO
-                    ENDIF
-                    
-                CASE ( 'usm_rad_insw' )
-!--                 array of sw radiation falling to surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinsw_av(l) = surfinsw_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                             
-                CASE ( 'usm_rad_inlw' )
-!--                 array of lw radiation falling to surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinlw_av(l) = surfinlw_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_inswdir' )
-!--                 array of direct sw radiation falling to surface from sun
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinswdir_av(l) = surfinswdir_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_inswdif' )
-!--                 array of difusion sw radiation falling to surface from sky and borders of the domain
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinswdif_av(l) = surfinswdif_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_inswref' )
-!--                 array of sw radiation falling to surface from reflections
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinswref_av(l) = surfinswref_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_inlwdif' )
-!--                 array of sw radiation falling to surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinlwdif_av(l) = surfinlwdif_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_inlwref' )
-!--                 array of lw radiation falling to surface from reflections
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinlwref_av(l) = surfinlwref_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_outsw' )
-!--                 array of sw radiation emitted from surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfoutsw_av(l) = surfoutsw_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_outlw' )
-!--                 array of lw radiation emitted from surface after i-th reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfoutlw_av(l) = surfoutlw_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_ressw' )
-!--                 array of residua of sw radiation absorbed in surface after last reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfins_av(l) = surfins_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                                    
-                CASE ( 'usm_rad_reslw' )
-!--                 array of residua of lw radiation absorbed in surface after last reflection
-                    DO l = 1, nsurfl
-                        IF ( surfl(id,l) == idsint )  THEN
-                            surfinl_av(l) = surfinl_av(l) / REAL( average_count_3d, kind=wp )
-                        ENDIF
-                    ENDDO
-                    
-                CASE ( 'usm_rad_pc_inlw' )
-                    pcbinlw_av(:) = pcbinlw_av(:) / REAL( average_count_3d, kind=wp )
-                    
-                CASE ( 'usm_rad_pc_insw' )
-                    pcbinsw_av(:) = pcbinsw_av(:) / REAL( average_count_3d, kind=wp )
-                    
-                CASE ( 'usm_rad_pc_inswdir' )
-                    pcbinswdir_av(:) = pcbinswdir_av(:) / REAL( average_count_3d, kind=wp )
-                    
-                CASE ( 'usm_rad_pc_inswdif' )
-                    pcbinswdif_av(:) = pcbinswdif_av(:) / REAL( average_count_3d, kind=wp )
-                    
-                CASE ( 'usm_rad_pc_inswref' )
-                    pcbinswref_av(:) = pcbinswref_av(:) / REAL( average_count_3d, kind=wp )
-                    
-                CASE ( 'usm_rad_hf' )
-!--                 array of heat flux from radiation for surfaces after i-th reflection
-                    IF ( l == -1 ) THEN
-                       DO  m = 1, surf_usm_h%ns
-                          surf_usm_h%surfhf_av(m) =                               &
-                                             surf_usm_h%surfhf_av(m) /            &
-                                             REAL( average_count_3d, kind=wp )
-                       ENDDO
-                    ELSE
-                       DO  m = 1, surf_usm_v(l)%ns
-                          surf_usm_v(l)%surfhf_av(m) =                         &
-                                          surf_usm_v(l)%surfhf_av(m) /         &
-                                          REAL( average_count_3d, kind=wp )
-                       ENDDO
-                    ENDIF
-                    
+
                 CASE ( 'usm_wshf' )
 !--                 array of sensible heat flux from surfaces (land, roof, wall)
@@ -3115,20 +2681,7 @@
         CHARACTER(LEN=2)                              :: ls
         CHARACTER(LEN=varnamelength)                  :: var          !< TRIM(variable)
-        INTEGER(iwp), PARAMETER                       :: nl1 = 31     !< number of directional usm variables
+        INTEGER(iwp), PARAMETER                       :: nl1 = 16     !< number of directional usm variables
         CHARACTER(LEN=varnamelength), DIMENSION(nl1)  :: varlist1 = & !< list of directional usm variables
-                  (/'usm_rad_net                   ', &
-                    'usm_rad_insw                  ', &
-                    'usm_rad_inlw                  ', &
-                    'usm_rad_inswdir               ', &
-                    'usm_rad_inswdif               ', &
-                    'usm_rad_inswref               ', &
-                    'usm_rad_inlwdif               ', &
-                    'usm_wshf                      ', &
-                    'usm_rad_inlwref               ', &
-                    'usm_rad_outsw                 ', &
-                    'usm_rad_outlw                 ', &
-                    'usm_rad_hf                    ', &
-                    'usm_rad_ressw                 ', &
-                    'usm_rad_reslw                 ', &
+                  (/'usm_wshf                      ', &
                     'usm_wghf                      ', &
                     'usm_wghf_window               ', &
@@ -3145,20 +2698,8 @@
                     'usm_t_surf_green              ', &
                     'usm_t_green                   ', &
-                    'usm_theta_10cm                ', &
-                    'usm_skyvf                     ', &
-                    'usm_skyvft                    '/)
-
-        INTEGER(iwp), PARAMETER                       :: nl2 = 7      !< number of other variables
-        CHARACTER(LEN=varnamelength), DIMENSION(nl2)  :: varlist2 = & !< list of other usm variables
-                  (/'usm_svf                       ', &
-                    'usm_dif                       ', &
-                    'usm_rad_pc_inlw               ', &
-                    'usm_rad_pc_insw               ', &
-                    'usm_rad_pc_inswdir            ', &
-                    'usm_rad_pc_inswdif            ', &
-                    'usm_rad_pc_inswref            '/)
-
-        INTEGER(iwp), PARAMETER                       :: nl3 = 3      !< number of directional layer usm variables
-        CHARACTER(LEN=varnamelength), DIMENSION(nl3)  :: varlist3 = & !< list of directional layer usm variables
+                    'usm_theta_10cm                '/)
+
+        INTEGER(iwp), PARAMETER                       :: nl2 = 3      !< number of directional layer usm variables
+        CHARACTER(LEN=varnamelength), DIMENSION(nl2)  :: varlist2 = & !< list of directional layer usm variables
                   (/'usm_t_wall                    ', &
                     'usm_t_window                  ', &
@@ -3188,9 +2729,9 @@
         IF ( lfound ) GOTO 10
 !       directional layer variables
-        DO i = 1, nl3
+        DO i = 1, nl2
            DO j = 1, nd
               DO l = nzb_wall, nzt_wall
                  WRITE(ls,'(A1,I1)') '_',l
-                 IF ( TRIM(var) == TRIM(varlist3(i))//TRIM(ls)//TRIM(dirname(j)) ) THEN
+                 IF ( TRIM(var) == TRIM(varlist2(i))//TRIM(ls)//TRIM(dirname(j)) ) THEN
                     lfound = .TRUE.
                     EXIT
@@ -3200,12 +2741,4 @@
            ENDDO
         ENDDO
-        IF ( lfound ) GOTO 10
-!       other variables
-        DO i = 1, nl2
-           IF ( TRIM(var) == TRIM(varlist2(i)) ) THEN
-              lfound = .TRUE.
-              EXIT
-           ENDIF
-        ENDDO
         IF ( .NOT.  lfound ) THEN
            unit = 'illegal'
@@ -3214,12 +2747,5 @@
 10      CONTINUE
 
-        IF ( var(1:12) == 'usm_rad_net_'  .OR.  var(1:13) == 'usm_rad_insw_'  .OR.        &
-             var(1:13) == 'usm_rad_inlw_'  .OR.  var(1:16) == 'usm_rad_inswdir_'  .OR.    &
-             var(1:16) == 'usm_rad_inswdif_'  .OR.  var(1:16) == 'usm_rad_inswref_'  .OR. &
-             var(1:16) == 'usm_rad_inlwdif_'  .OR.  var(1:16) == 'usm_rad_inlwref_'  .OR. &
-             var(1:14) == 'usm_rad_outsw_'  .OR.  var(1:14) == 'usm_rad_outlw_'  .OR.     &
-             var(1:14) == 'usm_rad_ressw_'  .OR.  var(1:14) == 'usm_rad_reslw_'  .OR.     &
-             var(1:11) == 'usm_rad_hf_'  .OR.                                             &
-             var(1:9)  == 'usm_wshf_'  .OR.  var(1:9) == 'usm_wghf_' .OR.                 &
+        IF ( var(1:9)  == 'usm_wshf_'  .OR.  var(1:9) == 'usm_wghf_' .OR.                 &
              var(1:16) == 'usm_wghf_window_' .OR. var(1:15) == 'usm_wghf_green_' .OR.     &
              var(1:10) == 'usm_iwghf_' .OR. var(1:17) == 'usm_iwghf_window_'    .OR.      &
